;; JACAL: Symbolic Mathematics System.        -*-scheme-*-
;; Copyright 1989, 1990, 1991, 1992, 1993, 1995, 1997 Aubrey Jaffer.
;;
;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2 of the License, or (at
;; your option) any later version.
;; 
;; This program is distributed in the hope that it will be useful, but
;; WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
;; General Public License for more details.
;; 
;; You should have received a copy of the GNU General Public License
;; along with this program; if not, write to the Free Software
;; Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

;;(require 'rev3-procedures)
(require 'rev4-optional-procedures)
(require 'multiarg/and-)
(require 'with-file)
(require 'transcript)
(require 'fluid-let)
(require 'common-list-functions)
(require 'sort)
(require 'hash-table)
(require-if '(not inexact) 'logical)    ;for integer-expt
(define integer-expt (if (provided? 'inexact) expt integer-expt))

(define (copy-vector v)
  (let* ((vl (vector-length v))
	 (iv (make-vector vl)))
    (do ((i (+ -1 (vector-length iv)) (+ -1 i)))
	((negative? i))
      (vector-set! iv i (vector-ref v i)))
    iv))

(define base-language 'scheme)
;;; The rest define dummy functions for common-lisp compatability
;(define char-code-limit 256)
(define (funcall p . args) (apply p args))
(define proclaim identity)
